# @billogram/foundation-button

> React button components

## Install

```
yarn add @billogram/foundation-button
```

## Usage

```tsx
import {
    FoundationButton,
    FoundationButtonSpinner,
    FoundationLinkButton,
} from '@billogram/foundation-button';
```

See [types](src/types.ts) for exported types.

### [`FoundationButton`](src/FoundationButton.tsx)

```tsx
<FoundationButton
    autoFocus={ false }
    disabled={ false }
    loading={ false }
    onClick={ noop }
    toggled={ false }
    type="button"
    ui="gray" />
    ...
</FoundationButton>
```

### [`FoundationButtonSpinner`](src/FoundationButtonSpinner.tsx)

```tsx
<FoundationButtonsSpinner
    visible={ } />
```

### [`FoundationLinkButton`](src/FoundationLinkButton.tsx)

```tsx
<FoundationLinkButton
    disabled={ false }
    href="required"
    onClick={ noop }
    target=""
    toggled={ false }
    ui="gray">
    ...
</FoundationLinkButton>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
