import React, { useCallback } from 'react';
import purebem from 'purebem';
import './FoundationLinkButton.scss';

function noop() {}

export default function FoundationLinkButton(_ref) {
  var children = _ref.children,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      href = _ref.href,
      _ref$onClick = _ref.onClick,
      onClick = _ref$onClick === void 0 ? noop : _ref$onClick,
      _ref$target = _ref.target,
      target = _ref$target === void 0 ? '' : _ref$target,
      _ref$toggled = _ref.toggled,
      toggled = _ref$toggled === void 0 ? false : _ref$toggled,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'gray' : _ref$ui;
  var block = purebem('foundation-link-button');
  var handleClick = useCallback(function (evt) {
    if (disabled) {
      return evt.preventDefault();
    }

    onClick(evt);
  }, [disabled, onClick]);
  return React.createElement("a", {
    className: block({
      disabled: disabled,
      toggled: toggled,
      ui: ui
    }),
    "data-load": "static",
    href: href,
    onClick: handleClick,
    target: target
  }, children);
}
//# sourceMappingURL=FoundationLinkButton.js.map